<?php

namespace Planaday\Config\Booking\Submission\Mail;

use Planaday\Config\Booking\Submission\BookingSubmissionOptionsEnum;
use Planaday\Config\OptionGroupEnum;

enum MailOptionsEnum: string implements OptionGroupEnum {
	case MAIL_STUDENT = 'MAIL_STUDENT';
	case MAIL_STUDENT_CONTENTS = 'MAIL_STUDENT_CONTENTS';
	case MAIL_ADMIN = 'MAIL_ADMIN';
	case ADMIN_ADDRESS = 'ADMIN_ADDRESS';
	case MAIL_COMPANY = 'MAIL_COMPANY';
	case MAIL_COMPANY_CONTENTS = 'MAIL_COMPANY_CONTENTS';

	public static function getClassName(): string {
		return MailSettings::class;
	}

	public static function getParentEnum(): ?OptionGroupEnum {
		return BookingSubmissionOptionsEnum::MAIL;
	}
}